Bug 196572 - Web Inspector: Uncaught Exception: null is not an object (evaluating 'resource.parentFrame.securityOrigin')
Summary: Web Inspector: Uncaught Exception: null is not an object (evaluating 'resourc...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL: https://www.tripadvisor.com/
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-03 15:51 PDT by Devin Rousso
Modified: 2019-05-09 17:32 PDT (History)
6 users (show)

See Also:


Attachments
Patch (4.32 KB, patch)
2019-05-03 22:29 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews211 for win-future (13.72 MB, application/zip)
2019-05-03 23:44 PDT, Build Bot
no flags Details
Patch (4.30 KB, patch)
2019-05-09 17:16 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2019-04-03 15:51:57 PDT
-------
Inspected URL:        https://www.tripadvisor.com/
Loading completed:    true
Frontend User Agent:  Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15) AppleWebKit/605.1.15 (KHTML, like Gecko)
Dispatch Source:      Protocol Event

Protocol Event:
{"method":"Worker.workerCreated","params":{"workerId":"worker:0.328","url":"blob:https://www.tripadvisor.com/578103b8-cf68-4a4d-b661-d1b6aacc3f75"}}

Uncaught Exceptions:
 - null is not an object (evaluating 'resource.parentFrame.securityOrigin') (at SourcesNavigationSidebarPanel.js:674:46)
    _addResource @ SourcesNavigationSidebarPanel.js:674:46
    _handleResourceAdded @ SourcesNavigationSidebarPanel.js:1593:26
    dispatch @ Object.js:165:30
    dispatchEventToListeners @ Object.js:180:21
    addResource @ Target.js:169:38
    adoptResource @ Target.js:176:25
    adoptOrphanedResourcesForTarget @ NetworkManager.js:635:33
    initializeTarget @ NetworkManager.js:95:49
    initialize @ Target.js:72:41
    workerCreated @ WorkerManager.js:51:32
    workerCreated @ WorkerObserver.js:32:39
    dispatchEvent @ InspectorBackend.js:340:42
    _dispatchEvent @ Connection.js:195:32
    dispatch @ Connection.js:72:32
    dispatchMessageFromTarget @ TargetManager.js:101:35
    dispatchMessageFromTarget @ TargetObserver.js:42:51
    dispatchEvent @ InspectorBackend.js:340:42
    _dispatchEvent @ Connection.js:195:32
    dispatch @ Connection.js:72:32
    dispatch @ InspectorBackend.js:178:52
    dispatchNextQueuedMessageFromBackend @ MessageDispatcher.js:42:34

Additional Details:
    cause --> An uncaught exception was thrown while handling event: Worker.workerCreated
Comment 1 Radar WebKit Bug Importer 2019-04-03 15:52:20 PDT
<rdar://problem/49578338>
Comment 2 Devin Rousso 2019-05-03 22:29:01 PDT
Created attachment 369054 [details]
Patch
Comment 3 Build Bot 2019-05-03 23:44:34 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2019-05-03 23:44:36 PDT Comment hidden (obsolete)
Comment 5 WebKit Commit Bot 2019-05-09 17:12:47 PDT Comment hidden (obsolete)
Comment 6 Devin Rousso 2019-05-09 17:16:03 PDT
Created attachment 369531 [details]
Patch
Comment 7 WebKit Commit Bot 2019-05-09 17:32:15 PDT
Comment on attachment 369531 [details]
Patch

Clearing flags on attachment: 369531

Committed r245167: <https://trac.webkit.org/changeset/245167>
Comment 8 WebKit Commit Bot 2019-05-09 17:32:17 PDT
All reviewed patches have been landed.  Closing bug.